#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majvers		%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	lua
Version		:	5.4.7
Release		:	17.0.10.rel%{?dist}
Summary		:	Powerful light-weight programming language
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://www.lua.org/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-%{version}-shared_library-1.patch

#-----------------------------------------------------------------------------
BuildRequires	:	automake
BuildRequires	:	autoconf
BuildRequires	:	libtool
BuildRequires	:	make

Requires	:	%{name}-libs	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description
Lua is a powerful light-weight programming language designed for
extending applications. Lua is also frequently used as a
general-purpose, stand-alone language. Lua is free software.
Lua combines simple procedural syntax with powerful data description
constructs based on associative arrays and extensible semantics. Lua
is dynamically typed, interpreted from bytecodes, and has automatic
memory management with garbage collection, making it ideal for
configuration, scripting, and rapid prototyping.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%doc doc/*.html doc/*.css doc/*.gif doc/*.png
%{_bindir}/%{name}
%{_bindir}/%{name}c
%{_mandir}/man1

#==============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains development files for %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}*.h
%{_includedir}/%{name}.hpp
%{_includedir}/lauxlib.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#==============================================================================
%package		libs
Summary		:	libraries for %{name}

#-----------------------------------------------------------------------------
%description		libs
This package contains the shared libraries for %{name}.

#-----------------------------------------------------------------------------
%files			libs
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.%{majvers}
%{_libdir}/lib%{name}.so.%{version}

#==============================================================================
%prep
%setup -q
patch -Np1 -i %{SOURCE1}

cat > %{name}.pc << "EOF"

INSTALL_BIN=%{_bindir}
INSTALL_INC=%{_includedir}
INSTALL_LIB=%{_libdir}
INSTALL_MAN=%{_mandir}man1
INSTALL_LMOD=%{_datadir}/%{name}-%{version}
INSTALL_CMOD=%{_prefix}/lib/%{name}-%{version}

Name: %{name}
Description: An Extensible Extension Language
Version: %{version}
Requires:
Libs: -L%{_libdir} -llua 
Cflags: -I%{_includedir}
EOF

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}				\
	linux

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	INSTALL_DATA="cp -d"					\
	INSTALL_TOP=%{buildroot}%{_prefix}			\
	INSTALL_BIN=%{buildroot}%{_bindir}			\
	INSTALL_INC=%{buildroot}%{_includedir}			\
	INSTALL_LIB=%{buildroot}%{_libdir}			\
	INSTALL_LMOD=%{buildroot}%{_datadir}/%{name}-%{version}	\
	INSTALL_CMOD=%{buildroot}%{_libdir}%{name}-%{version}	\
	INSTALL_MAN=%{buildroot}%{_mandir}/man1			\
	TO_LIB="liblua.so liblua.so.%{majvers} liblua.so.%{version}"	\
	install

install -d -m0755 						\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

%{__cp} doc/*.{html,css,gif,png}				\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}
	
install -m0644 -D %{name}.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------------------
%changelog
